Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/buglist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZBugMain", "Language" )
| $t
| $module = new eZBugModule( $ModuleID )
| $user =& eZUser::currentUser()
| $gotRights = false
if(eZObjectPermission::hasPermission( $module->id(), "bug_module", "w", $user)) if(isset( $Delete) && $gotRights==true) | $pathArray = $module->path()
foreach( $pathArray as $path) | $moduleList =& $module->getByParent( $module, true )
| $i =0
| $bugList =& $module->bugs( "time", true )
| $locale = new eZLocale( $Language )
if( $gotRights==true) | else

## Variable Documentation

## ◆ $bugList

$bugList =& $module->bugs( "time", true )

Definition at line 153 of file user/buglist.php.

## ◆ $gotRights

$gotRights = false

Definition at line 75 of file user/buglist.php.

## ◆ $i

$i =0

Definition at line 113 of file user/buglist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 39 of file user/buglist.php.

## ◆ $Language

$Language = $ini->variable( "eZBugMain", "Language" )

Definition at line 41 of file user/buglist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 154 of file user/buglist.php.

## ◆ $module

$module = new eZBugModule( $ModuleID )

Definition at line 67 of file user/buglist.php.

## ◆ $moduleList

foreach ($pathArray as $path) $moduleList =& $module->getByParent( $module, true )

Definition at line 109 of file user/buglist.php.

## ◆ $pathArray

if (eZObjectPermission::hasPermission($module->id(), "bug_module", "w", $user)) if (isset($Delete) &&$gotRights==true) $pathArray = $module->path()

Definition at line 97 of file user/buglist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezbug/user/" . $ini->variable( "eZBugMain", "TemplateDir" ),
"kernel/ezbug/user/intl/", $Language, "buglist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: user/buglist.php:41
$ini
$ini
Definition: user/buglist.php:39

Definition at line 43 of file user/buglist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 74 of file user/buglist.php.

## ◆ else

if ($gotRights==true) else

Initial value:
{
$t->set_var( "bug_edit_buttons", "" )
$t
$t
Definition: user/buglist.php:43

Definition at line 228 of file user/buglist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.